petsc-3.4.2 2013-07-02

# PetscStrlen

Gets length of a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrlen(const char s[],size_t *len)

Not Collective

### Input Parameters

s -pointer to string

### Output Parameter

len -length in bytes

### Note

This routine is analogous to strlen().

Null string returns a length of zero

Not for use in Fortran

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html